petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoRegister

Adds a method to the TAO package for unconstrained minimization.

### Synopsis

    TaoRegister(char *name_solver,char *path,char *name_Create,int (*routine_Create)(Tao))

Not collective

### Input Parameters

| sname | - name of a new user-defined solver
| func | - routine to Create method context

### Notes

TaoRegister() may be called multiple times to add several user-defined solvers.

### Sample usage

       TaoRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

        TaoSetType(tao,"my_solver")

or at runtime via the option

        -tao_type my_solver

### See Also

TaoRegisterAll(), TaoRegisterDestroy()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages